Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs

# Class InvalidArgumentTypesParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.InvalidArgumentTypesParticipant

@Path("nonjaxrs-argument-type-nonjaxrs") public class InvalidArgumentTypesParticipant extends Object
TCK invalid LRA participant containing invalid type of arguments in the participant method signature used for verification of deployment time invalid signature detection and error report in `TckInvalidSignaturesTests`.

## Constructor Summary

Constructors
Constructor
Description
`InvalidArgumentTypesParticipant()`

## Method Summary

Modifier and Type
Method
Description
`ParticipantStatus`
`compensate(URI lraId)`
`jakarta.ws.rs.core.Response`
`doInLRA()`
`void`
`forget(int lraId, URI parentId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvalidArgumentTypesParticipant

public InvalidArgumentTypesParticipant()

## Method Details

### doInLRA

@GET @Path("enlist") public jakarta.ws.rs.core.Response doInLRA()

### compensate

public ParticipantStatus compensate(URI lraId)

### forget

public void forget(int lraId, URI parentId)